package be.iminds.ilabt.jfed.espec.model;

import javax.annotation.Nullable;
import java.util.List;

/**
 * ExecuteSpec
 */
public class ExecuteSpec extends UploadLikeWithLogSpec {
    @Nullable private final String pwd;
    @Nullable private final Boolean sudo;

    public ExecuteSpec(@Nullable FileSource source,
                       @Nullable String path,
                       @Nullable String pwd,
                       @Nullable String permissions,
                       @Nullable Boolean sudo,
                       @Nullable String log,
                       @Nullable List<String> nodes) {
        super(source, path, permissions == null ? "u=rwx" : permissions, nodes, log);
        this.pwd = pwd;
        this.sudo = sudo;
    }

    @Nullable
    public String getPwd() {
        return pwd;
    }

    /**
     * If null, fall back to global default in config
     * @return
     */
    public Boolean isSudo() {
        return sudo;
    }
}
